org.apache.poi.ss.format

## Class CellFormatResult

- java.lang.Object
- - org.apache.poi.ss.format.CellFormatResult

-     public class CellFormatResult
      extends java.lang.Object

  This object contains the result of applying a cell format or cell format part to a value.
  Author:
    Ken Arnold, Industrious Media LLC
  See Also:
    `CellFormatPart.apply(Object)`, `CellFormat.apply(Object)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `applies` This is `true` if no condition was given that applied to the value, or if the condition is satisfied.
    `java.lang.String` | `text` The resulting text.
    `java.awt.Color` | `textColor` The color the format sets, or `null` if the format sets no color.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellFormatResult(boolean applies, java.lang.String text, java.awt.Color textColor)` Creates a new format result object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### applies

          public final boolean applies

      This is `true` if no condition was given that applied to the value, or if the condition is satisfied. If a condition is relevant, and when applied the value fails the test, this is `false`.

    - #### text

          public final java.lang.String text

      The resulting text. This will never be `null`.

    - #### textColor

          public final java.awt.Color textColor

      The color the format sets, or `null` if the format sets no color. This will always be `null` if `applies` is `false`.

  - ### Constructor Detail

    - #### CellFormatResult

          public CellFormatResult(boolean applies,
                                  java.lang.String text,
                                  java.awt.Color textColor)
                           throws java.lang.IllegalArgumentException

      Creates a new format result object.
      Parameters:
        `applies` - The value for `applies`.
        `text` - The value for `text`.
        `textColor` - The value for `textColor`.
      Throws:
        `java.lang.IllegalArgumentException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.